com.tibco.tibems.ufo

## Class TibjmsUFOTopicConnection

- java.lang.Object
- - com.tibco.tibems.ufo.TibjmsUFOConnection
  - - com.tibco.tibems.ufo.TibjmsUFOTopicConnection

- All Implemented Interfaces:
    java.lang.AutoCloseable, Connection, TopicConnection

      public class TibjmsUFOTopicConnection
      extends TibjmsUFOConnection
      implements TopicConnection

  UFO Implementation of javax.jms.TopicConnection.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionConsumer` | `createConnectionConsumer(Topic topic, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)` Not supported by UFO Implementation.
    `ConnectionConsumer` | `createDurableConnectionConsumer(Topic topic, java.lang.String subscriptionName, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)` Not supported by UFO Implementation.
    `TopicSession` | `createTopicSession(boolean transacted, int acknowledgeMode)` Creates a `TopicSession` object.

    - ### Methods inherited from class com.tibco.tibems.ufo.TibjmsUFOConnection

      `close, createConnectionConsumer, createSession, createSession, createSession, createSharedConnectionConsumer, createSharedDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, recoverConnection, setClientID, setExceptionListener, start, stop, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Connection

      `close, createConnectionConsumer, createSession, createSession, createSession, createSharedConnectionConsumer, createSharedDurableConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

- - ### Method Detail

    - #### createTopicSession

          public TopicSession createTopicSession(boolean transacted,
                                                 int acknowledgeMode)
                                          throws JMSException

      Description copied from interface: `TopicConnection`
      Creates a `TopicSession` object.
      Specified by:
        `createTopicSession` in interface `TopicConnection`
      Parameters:
        `transacted` - indicates whether the session is transacted
        `acknowledgeMode` - indicates whether the consumer or the client will acknowledge any messages it receives; ignored if the session is transacted. Legal values are `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, and `Session.DUPS_OK_ACKNOWLEDGE`.
      Returns:
        a newly created topic session
      Throws:
        `JMSException` - if the `TopicConnection` object fails to create a session due to some internal error or lack of support for the specific transaction and acknowledgement mode.
      See Also:
        `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`

    - #### createConnectionConsumer

          public ConnectionConsumer createConnectionConsumer(Topic topic,
                                                             java.lang.String messageSelector,
                                                             ServerSessionPool sessionPool,
                                                             int maxMessages)
                                                      throws JMSException

      Not supported by UFO Implementation.
      Specified by:
        `createConnectionConsumer` in interface `TopicConnection`
      Parameters:
        `topic` - the topic to access
        `messageSelector` - only messages with properties matching the message selector expression are delivered. A value of null or an empty string indicates that there is no message selector for the message consumer.
        `sessionPool` - the server session pool to associate with this connection consumer
        `maxMessages` - the maximum number of messages that can be assigned to a server session at one time
      Returns:
        the connection consumer
      Throws:
        `JMSException` - if the `TopicConnection` object fails to create a connection consumer due to some internal error or invalid arguments for `sessionPool` and `messageSelector`.
        `InvalidDestinationException` - if an invalid topic is specified.
        `InvalidSelectorException` - if the message selector is invalid.
      See Also:
        `ConnectionConsumer`

    - #### createDurableConnectionConsumer

          public ConnectionConsumer createDurableConnectionConsumer(Topic topic,
                                                                    java.lang.String subscriptionName,
                                                                    java.lang.String messageSelector,
                                                                    ServerSessionPool sessionPool,
                                                                    int maxMessages)
                                                             throws JMSException

      Not supported by UFO Implementation.
      Specified by:
        `createDurableConnectionConsumer` in interface `Connection`
      Specified by:
        `createDurableConnectionConsumer` in interface `TopicConnection`
      Overrides:
        `createDurableConnectionConsumer` in class `TibjmsUFOConnection`
      Parameters:
        `topic` - topic to access
        `subscriptionName` - the name used to identify the unshared durable subscription
        `messageSelector` - only messages with properties matching the message selector expression are delivered. A value of null or an empty string indicates that there is no message selector for the message consumer.
        `sessionPool` - the server session pool to associate with this durable connection consumer
        `maxMessages` - the maximum number of messages that can be assigned to a server session at one time
      Returns:
        the durable connection consumer
      Throws:
        `IllegalStateException` - if called on a `QueueConnection`
        `InvalidDestinationException` - if an invalid destination is specified.
        `InvalidSelectorException` - if the message selector is invalid.
        `JMSException` - if the `Connection` object fails to create a connection consumer for one of the following reasons:
        - an internal error has occurred
        - invalid arguments for `sessionPool` and `messageSelector` or
        - this method has been called in a Java EE web or EJB application (though it is not guaranteed that an exception is thrown in this case)
      See Also:
        `ConnectionConsumer`

Copyright © Cloud Software Group, Inc. All rights reserved